%define name libipoddevice
%define version 0.5.3
%define release %mkrel 2
%define libname %mklibname ipoddevice 0
Summary: Ipod access library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://banshee-project.org/files/libipoddevice/%{name}-%{version}.tar.gz
#Source0: http://banshee-project.org/files/libipoddevice/%{name}-%{cvs}.tar.bz2
Patch0:  libipoddevice-0.5.3-sg3_utils-1.26.patch
License: LGPL
Group: System/Libraries
Url: http://banshee-project.org/index.php/Libipoddevice
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: hal-devel >= 0.5.1
BuildRequires: dbus-glib-devel
BuildRequires: libgtop2.0-devel
BuildRequires: libsgutils-devel
BuildRequires: libxml2-devel
BuildRequires: eject
BuildRequires: gnome-common
BuildRequires: X11-devel

%description
libipoddevice is a device-specific layer for the Apple iPod
(http://www.apple.com/ipod). libipoddevice provides iPod-specific HAL
event notification to applications, and along with objects
representing an iPod, which gives the application access to properties
and features of an iPod.

%package utils
Group: System/Kernel and hardware
Summary: Debugging tool for %name
%description utils
libipoddevice also provides a debugging program, ipod to view iPod
device properties, listen for iPod HAL events, and safely eject iPods
(iPods must be unmounted, then ejected).

%package -n %libname
Group: System/Libraries
Summary: Ipod access library
Requires: eject
Requires: %name-utils >= %version
Provides: %name = %version

%description -n %libname
libipoddevice is a device-specific layer for the Apple iPod
(http://www.apple.com/ipod). libipoddevice provides iPod-specific HAL
event notification to applications, and along with objects
representing an iPod, which gives the application access to properties
and features of an iPod.

%package -n %libname-devel
Group: Development/C
Summary: Ipod access library
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libname-devel
libipoddevice is a device-specific layer for the Apple iPod
(http://www.apple.com/ipod). libipoddevice provides iPod-specific HAL
event notification to applications, and along with objects
representing an iPod, which gives the application access to properties
and features of an iPod.

%prep
%setup -q
#./autogen.sh
%patch0 -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
#gw wrong path:
mv %buildroot%_libdir/hal/* %buildroot%_libexecdir/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files utils
%defattr(-,root,root)
%doc README NEWS ChangeLog AUTHORS
%_bindir/ipod
%_libexecdir/hal-ipod-info
%_datadir/hal/fdi/policy/20thirdparty/20-ipod-info.fdi

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a
%_libdir/pkgconfig/*.pc
%_includedir/ipoddevice/


%changelog
* Mon Nov 10 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 0.5.3-2pclos2007
- Rebuild
- patch for libsgutils2

* Fri May 04 2007 Bart the Build Bot <bartbot@pclinuxos.com> 0.5.3-1pclos2007
- New version 0.5.3

* Fri Jan 12 2007 Texstar <texstar@houston.rr.com> 0.5.2-1pclos2007
- update to 0.5.2
